-- Veneer
-- Customization tool for the small bits and pieces

-- BuffFrame
-- Provides mechanisms for positioning and alter buff button parameters.
-- Mostly re-configures the blizzard UI frames due to limitations of SecureTemplate.

local vn, print = LibStub("LibKraken").register(VeneerController)


local defaults = {
  enableAll = true,
  enableModule = {
    BuffFrame = true,
  },
  BuffFrame = {
    width = 48,
    height = 48,
  }
}

vn.init = function()
  if (not VeneerData) or (not VeneerData.version) then
    VeneerData = defaults
  end
  vn.db = VeneerData

end